<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <div class="btn-group">
        <button type="button" class="gzl-btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.CreatereplaceMember1']}
            <span class="caret"/>
        </button>
        <ui:include src="/xvalidation/expressions/_listMathOperationsButtons.xhtml">
            <ui:param name="targetId" value="#{expression.fakeId}"/>
            <ui:param name="side" value="#{messages['net.ihe.gazelle.xval.Member1']}"/>
        </ui:include>
    </div>
    <f:subview id="one" rendered="#{expression.member1 != null}">
        <ui:include src="/xvalidation/expressions/_mathMember.xhtml">
            <ui:param name="expression" value="#{expression.member1}"/>
            <ui:param name="side" value="#{messages['net.ihe.gazelle.xval.Member1']}"/>
        </ui:include>
    </f:subview>
    <span style="height: 10px"/>
    <h:outputText value="#{expression.operator.friendlyName}" styleClass="gzl-label gzl-label-green"/>
    <span style="height: 10px"/>
    <div class="btn-group">
        <button type="button" class="gzl-btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.CreatereplaceMember2']}
            <span class="caret"/>
        </button>
        <ui:include src="/xvalidation/expressions/_listMathOperationsButtons.xhtml">
            <ui:param name="targetId" value="#{expression.fakeId}"/>
            <ui:param name="side" value="#{messages['net.ihe.gazelle.xval.Member2']}"/>
        </ui:include>
    </div>
    <f:subview id="two" rendered="#{expression.member2 != null}">
        <ui:include src="/xvalidation/expressions/_mathMember.xhtml">
            <ui:param name="expression" value="#{expression.member2}"/>
            <ui:param name="side" value="#{messages['net.ihe.gazelle.xval.Member2']}"/>
        </ui:include>
    </f:subview>
</ui:composition>
